### Enumeration

# AppStream ReferenceKind

#### Declaration

    enum AppStream.ReferenceKind

#### Description [src]

A reference type.

#### Members

`AS_REFERENCE_KIND_UNKNOWN`

  Unknown reference kind.

  - Value: `0`
  - Available since: 1.0
`AS_REFERENCE_KIND_DOI`

  Digital Object Identifier.

  - Value: `1`
  - Available since: 1.0
`AS_REFERENCE_KIND_CITATION_CFF`

  Web URL to a Citation File Format file.

  - Value: `2`
  - Available since: 1.0
`AS_REFERENCE_KIND_REGISTRY`

  A generic registry.

  - Value: `3`
  - Available since: 1.0

#### Type functions

###### as_reference_kind_from_string

Converts the text representation to an enumerated value.

###### as_reference_kind_to_string

Converts the enumerated value to an text representation.

since: 1.0.0